import { Observable } from 'rxjs';
import { ConfigFileDefinition } from './definition';
import { ConfigFileLoader } from './loader';
/**
 * Decorator for `ConfigFileLoader`
 * that caches the loaded configuration objects of each definition.
 *
 * One `ConfigFileDefinition` object would cause only one load operation.
 */
export declare class CacheConfigFiles implements ConfigFileLoader {
    #private;
    private kernel;
    constructor(kernel: ConfigFileLoader);
    load<T, Schema>(def: ConfigFileDefinition<T, Schema>): Observable<T>;
}
