import { HttpClient, HttpContext, HttpContextToken } from '@angular/common/http';
import { Injector } from '@angular/core';
import { Observable } from 'rxjs';
import { ConfigFileDefinition } from './definition';
import { ConfigFileLoader } from './loader';
import * as i0 from "@angular/core";
/**
 * Context object that will be supplied to `CONFIG_FILE_REQUEST_CONTEXT`.
 */
export interface ConfigFileRequestContext {
    readonly def: ConfigFileDefinition<unknown, unknown>;
}
/**
 * `HttpContextToken` that will be supplied a value in an endpoint request
 * sent by `HttpClientConfigFileLoader`.
 */
export declare const CONFIG_FILE_REQUEST_CONTEXT: HttpContextToken<ConfigFileRequestContext | null>;
/**
 * Implementation of `ConfigFileLoader`
 * based on Angular's built-in `HttpClient`.
 *
 * `CONFIG_FILE_REQUEST_CONTEXT` will be supplied in the request context.
 */
export declare class HttpClientConfigFileLoader implements ConfigFileLoader {
    protected httpClient: HttpClient;
    protected injector: Injector;
    load<T, Schema>(def: ConfigFileDefinition<T, Schema>): Observable<T>;
    protected fetch(path: string, context: HttpContext): Observable<string | null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<HttpClientConfigFileLoader, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<HttpClientConfigFileLoader>;
}
