import { ConfigFileParser } from './parser';
import * as i0 from "@angular/core";
/**
 * Implementation of `ConfigFileParser` that simply wraps the raw string content.
 */
export declare class TextParser implements ConfigFileParser {
    /**
     * Parse the raw string content of a configuration file and produce a
     * `{ value: string }` object.
     * @param value the raw string content
     * @returns `{ value: string }`
     */
    parse(value: string): object;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextParser, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TextParser>;
}
/**
 * Implementation of `ConfigFileParser` that parses the string content as JSON,
 * via the built-in `JSON.parse` function.
 */
export declare class JsonParser implements ConfigFileParser {
    /**
     * Parse the raw string content of a configuration file as JSON.
     */
    parse(raw: string): object;
    static ɵfac: i0.ɵɵFactoryDeclaration<JsonParser, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<JsonParser>;
}
